Incidencia #678 (closed Error: Resuelto)

Abierto hace 5 años

Última modificación 5 años

Error al desinstalar canaima-accesibilidad-minimo-gnome

Informado por: erickcion Propietario: franj
Prioridad: No Definido Hito: Canaima Popular 4.0~estable
Componente: Canaima Popular Versión: 4.0
Gravedad: Crítica Palabras clave: canaima-accesibilidad
Cc: Asignar A:

Descripción

Al ejecutar el comando:

# aptitude purge canaima-accesibilidad-minimo-gnome

Se obtiene la siguiente salida que muestra un error en la ejecución del script postrm del paquete:

Desinstalando canaima-accesibilidad-minimo-gnome ...
/var/lib/dpkg/info/canaima-accesibilidad-minimo-gnome.postrm: línea 32: [: falta un `]'
No existe los directorios a eliminar
Purgando ficheros de configuración de canaima-accesibilidad-minimo-gnome ...
/var/lib/dpkg/info/canaima-accesibilidad-minimo-gnome.postrm: línea 32: [: falta un `]'
No existe los directorios a eliminar
Procesando disparadores para fontconfig ...
(Leyendo la base de datos ... 118993 ficheros o directorios instalados actualmente.)
Desinstalando festival ...
Desinstalando festvox-sflpc16k ...
Desinstalando libestools2.1:i386 ...
Procesando disparadores para install-info ...
Procesando disparadores para man-db ...
Procesando disparadores para sgml-base ...

Adjuntos

15.jpg (101.5 KB) - añadido por armikhael hace 5 años.

Historial de cambios

comment:1 Cambiado el 5 años por franj

  • Estado cambiado de new to accepted
  • Propietario cambiado de Canaima Popular a franj

comment:2 Cambiado el 5 años por franj

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada

comment:3 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed

comment:4 Cambiado el 5 años por armikhael

ahorita actualice a la versión 4.0+7 de canaima-accesibilidad-minimo-gnome y se me van los siguientes paquetes cuando trato de hacer :# aptitude purge canaima-accesibilidad-minimo-gnome

Editado por último en fecha 5 años por armikhael (anterior) (diferencia)

Cambiado el 5 años por armikhael

comment:5 Cambiado el 5 años por erickcion

  • Estado cambiado de closed to assigned

comment:6 Cambiado el 5 años por erickcion

  • Hito cambiado de Canaima Popular 4.0~a1 to Canaima Popular 4.0~estable

comment:7 Cambiado el 5 años por franj

  • Estado cambiado de assigned to resuelta

Removemos la voz silvia (festvox-sflpc16k) de las dependencias de canaima-accesibilidad-minimo-gnome y canaima-accesibilidad-visual-gnome, porque aptitude no interpreta bien al momento de eliminar los meta paquetes a diferencia de apt-get si lo hace según el estado que este sujeto la voz silvia del meta paquete, como dependencia, recomendación o sugerencia, por esta razón la voz será instalada en la imagen de canaima por otro medio.

# comment: http://git.canaima.softwarelibre.gob.ve/?p=canaima-accesibilidad-gnome.git;a=commitdiff;h=0956acb47b7b3ee68118b43bea89aa5f3ed0c672

# comment: http://git.canaima.softwarelibre.gob.ve/?p=canaima-accesibilidad-gnome.git;a=commitdiff;h=f858075d54f82ce17ca1d5e82119257c5c7bacff

Se intento marcar la voz como instalada manualmente desde el post-install del meta paquete pero al parecer al final del proceso de instalación cambia su estado de instalado manual a instalado automáticamente

# comment: http://git.canaima.softwarelibre.gob.ve/?p=canaima-accesibilidad-gnome.git;a=commitdiff;h=6fb10183805b4af9cc6d6f3c27fb1676c1e5d151

comment:8 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed

Cambios disponibles a partir de:

  • canaima-accesibiliad-minimo-gnome 4.0+8
Nota: Vea TracTickets para ayuda en el uso de incidencias.